PageSpecification
Keywords: net.corda.core.node.services.vault.PageSpecification class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class PageSpecification

- net.corda.core.node.services.vault.PageSpecification

-     public class PageSpecification

  `class PageSpecification` allows specification of a page number (starting from DEFAULT_PAGE_NUM) and page size (defaulting to DEFAULT_PAGE_SIZE with a maximum page size of MAX_PAGE_SIZE) Note: we default the page number to DEFAULT_PAGE_SIZE to enable queries without requiring a page specification but enabling detection of large results sets that fall out of the DEFAULT_PAGE_SIZE requirement. MAX_PAGE_SIZE should be used with extreme caution as results may exceed your JVM memory footprint.

  See Also:
    `class PageSpecification`

- - ### Constructor Detail

    - #### PageSpecification

          public PageSpecification(int pageNumber,
                                   int pageSize)

      `class PageSpecification` allows specification of a page number (starting from DEFAULT_PAGE_NUM) and page size (defaulting to DEFAULT_PAGE_SIZE with a maximum page size of MAX_PAGE_SIZE) Note: we default the page number to DEFAULT_PAGE_SIZE to enable queries without requiring a page specification but enabling detection of large results sets that fall out of the DEFAULT_PAGE_SIZE requirement. MAX_PAGE_SIZE should be used with extreme caution as results may exceed your JVM memory footprint.

      See Also:
        `class PageSpecification`

    - #### PageSpecification

          public PageSpecification()

      `class PageSpecification` allows specification of a page number (starting from DEFAULT_PAGE_NUM) and page size (defaulting to DEFAULT_PAGE_SIZE with a maximum page size of MAX_PAGE_SIZE) Note: we default the page number to DEFAULT_PAGE_SIZE to enable queries without requiring a page specification but enabling detection of large results sets that fall out of the DEFAULT_PAGE_SIZE requirement. MAX_PAGE_SIZE should be used with extreme caution as results may exceed your JVM memory footprint.

      See Also:
        `class PageSpecification`

  - ### Method Detail

    - #### isDefault

          public boolean isDefault()

    - #### getPageNumber

          public int getPageNumber()

    - #### getPageSize

          public int getPageSize()

    - #### component1

          public int component1()

    - #### component2

          public int component2()

    - #### copy

          @NotNull
          public PageSpecification copy(int pageNumber,
                                                 int pageSize)

      `class PageSpecification` allows specification of a page number (starting from DEFAULT_PAGE_NUM) and page size (defaulting to DEFAULT_PAGE_SIZE with a maximum page size of MAX_PAGE_SIZE) Note: we default the page number to DEFAULT_PAGE_SIZE to enable queries without requiring a page specification but enabling detection of large results sets that fall out of the DEFAULT_PAGE_SIZE requirement. MAX_PAGE_SIZE should be used with extreme caution as results may exceed your JVM memory footprint.

      See Also:
        `class PageSpecification`

    - #### toString

          @NotNull
          public java.lang.String toString()

      `class PageSpecification` allows specification of a page number (starting from DEFAULT_PAGE_NUM) and page size (defaulting to DEFAULT_PAGE_SIZE with a maximum page size of MAX_PAGE_SIZE) Note: we default the page number to DEFAULT_PAGE_SIZE to enable queries without requiring a page specification but enabling detection of large results sets that fall out of the DEFAULT_PAGE_SIZE requirement. MAX_PAGE_SIZE should be used with extreme caution as results may exceed your JVM memory footprint.

      See Also:
        `class PageSpecification`

    - #### hashCode

          public int hashCode()

      `class PageSpecification` allows specification of a page number (starting from DEFAULT_PAGE_NUM) and page size (defaulting to DEFAULT_PAGE_SIZE with a maximum page size of MAX_PAGE_SIZE) Note: we default the page number to DEFAULT_PAGE_SIZE to enable queries without requiring a page specification but enabling detection of large results sets that fall out of the DEFAULT_PAGE_SIZE requirement. MAX_PAGE_SIZE should be used with extreme caution as results may exceed your JVM memory footprint.

      See Also:
        `class PageSpecification`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      `class PageSpecification` allows specification of a page number (starting from DEFAULT_PAGE_NUM) and page size (defaulting to DEFAULT_PAGE_SIZE with a maximum page size of MAX_PAGE_SIZE) Note: we default the page number to DEFAULT_PAGE_SIZE to enable queries without requiring a page specification but enabling detection of large results sets that fall out of the DEFAULT_PAGE_SIZE requirement. MAX_PAGE_SIZE should be used with extreme caution as results may exceed your JVM memory footprint.

      See Also:
        `class PageSpecification`